Package edu.wisc.game.sql

## Enum PlayerInfo.Action

- java.lang.Object
- - java.lang.Enum<PlayerInfo.Action>
  - - edu.wisc.game.sql.PlayerInfo.Action

- All Implemented Interfaces:
    `Serializable`, `Comparable<PlayerInfo.Action>`
  Enclosing class:
    PlayerInfo

      public static enum PlayerInfo.Action
      extends Enum<PlayerInfo.Action>

  What type of action takes the player to a particular destination?

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ACTIVATE` | Activate bonus
    `DEFAULT` | Default transition -- no special choice
    `GIVE_UP` | Give up

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PlayerInfo.Action` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static PlayerInfo.Action[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final PlayerInfo.Action DEFAULT

      Default transition -- no special choice

    - #### ACTIVATE

          public static final PlayerInfo.Action ACTIVATE

      Activate bonus

    - #### GIVE_UP

          public static final PlayerInfo.Action GIVE_UP

      Give up

  - ### Method Detail

    - #### values

          public static PlayerInfo.Action[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PlayerInfo.Action c : PlayerInfo.Action.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PlayerInfo.Action valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null